%define module  XML-DBMS

Name:           perl-%{module}
Version:        1.03
Release:        %mkrel 30
Summary:        XML-DBMS perl module
License:        Public Domain
Group:          Development/Perl
URL:            http://www.rpbourret.com/xmldbms/index.htm
Source0:        ftp://ftp.rpbourret.com/perl-xml-dbms-%{version}.tar.bz2
Requires:       perl-libxml-perl
Requires:       perl-XML-LibXML
Requires:       perl-TimeDate
BuildRequires:  perl-devel >= 5.6
BuildRequires:  perl-libxml-perl
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(XML::LibXML::Common)
BuildRequires:  perl-TimeDate
BuildRequires:  perl(DBI)
BuildArch:      noarch


%description
XML-DBMS is middleware for transferring data between XML documents and
relational databases. It maps the XML document to the database according
to an object-relational mapping in which element types are generally
viewed as classes and attributes and PCDATA as properties of those
classes. An XML-based mapping language allows the user to specify
customize this mapping.

%prep
%setup -q -n %{module}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install
rm -rf samples/CVS

%files
%doc README samples xmldbms.dtd
%{perl_vendorlib}/XML


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.03-30.mga10
+ Revision: 2208678
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.03-29.mga9
+ Revision: 1819072
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.03-28.mga8
+ Revision: 1507003
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.03-27.mga7
+ Revision: 1287302
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.03-26.mga7
+ Revision: 1167453
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.03-25.mga7
+ Revision: 1157401
+ rebuild (emptylog)

* Sun Jun 19 2016 pterjan <pterjan> 1.03-24.mga6
+ Revision: 1035899
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.03-23.mga6
+ Revision: 938678
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.03-22.mga5
+ Revision: 748493
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.03-21.mga5
+ Revision: 686904
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.03-20.mga4
+ Revision: 516041
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.03-19.mga3
+ Revision: 374964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.03-18.mga1
+ Revision: 31480
- mageia rebuild
- imported package perl-XML-DBMS


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.03-18mdv2010.0
+ Revision: 430662
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.03-17mdv2009.0
+ Revision: 242197
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-15mdv2008.0
+ Revision: 87082
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-14mdv2007.0
- Rebuild

* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.03-13mdk
- Fix According to perl Policy
    - BuildRequires

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.03-12mdk
- Fix BuildRequires

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-11mdk 
- remove MANIFEST

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-10mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-9mdk 
- rebuild

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-8mdk
- fixed dir ownership (distlint)
- %%makeinstall_std macro

